Print

Print


Commit in lcio/bin on MAIN
lcio_new+34added 1.1
new lcio CL script that uses the maven-generated bin jar

lcio/bin
lcio_new added at 1.1
diff -N lcio_new
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lcio_new	29 Jun 2010 19:20:47 -0000	1.1
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Get the name of the script.
+PRG="$0"
+
+# Get the directory of the script.
+progname=`basename "$0"`
+
+# Resolve symlinks.
+while [ -h "$PRG" ] ; do
+  ls=`ls -ld "$PRG"`
+  link=`expr "$ls" : '.*-> \(.*\)$'`
+  if expr "$link" : '/.*' > /dev/null; then
+    PRG="$link"
+  else
+    PRG=`dirname "$PRG"`"/$link"
+  fi
+done
+
+# LCIO is up one directory.
+LCIO=`dirname "$PRG"`/..
+
+# Make the path fully qualified.
+LCIO=`cd "$LCIO" && pwd`
+
+binjar=$(ls $LCIO/target/lcio*-bin.jar)
+bincount=$(echo $binjar | wc -l)
+
+if [ $bincount -ne "1" ]; then
+    echo "ERROR: There appears to be multiple bin jars in the $LCIO/target/ directory."
+    exit 1
+fi
+
+java -jar $LCIO/target/lcio*-bin.jar $@
CVSspam 0.2.8